<?php

/**
 * Class save a log file into log directory
 *
 * @author hampel_ma
 */
class loger
{

    /**
     * Method add info to log file
     *
     * @param string $_file - Name of loged file example use __FILE__ or $variable->getFile() for Catch block
     * @param int $_line - Number of line  example use __LINE__ or $variable->getLine() for Catch block
     * @param string $_message - Message of Log example 'Something' or $variable->getMessage for Catch block
     * @param string $_context -Context log example use print_r($variable,1) or $variable->getTraceAsString() for Catch block
     * @param string $_filename - Log file name for Catch block can be used __METHOD__ in other way 'Something'
     */
    public static function LogErr($_file, $_line, $_message, $_context=null, $_filename=null)
    {
        $log = array(
            'File' => $_file,
            'Line' => $_line,
            'Message' => $_message,
            'Context' => $_context
        );
        if (isset($_SERVER["env"]) && $_SERVER["env"] === 'develop')
        {
            error_log(var_export($log, true));
        }
        else
        {
            syslog(LOG_ERR, var_export($log, true));
        }
    }

    /**
     * Method add info to log file
     *
     * @param string $_file - Name of loged file example use __FILE__ or $variable->getFile() for Catch block
     * @param int $_line - Number of line  example use __LINE__ or $variable->getLine() for Catch block
     * @param string $_message - Message of Log example 'Something' or $variable->getMessage for Catch block
     * @param string $_context -Context log example use print_r($variable,1) or $variable->getTraceAsString() for Catch block
     * @param string $_filename - Log file name for Catch block can be used __METHOD__ in other way 'Something'
     */
    public static function debug($_message, $_file, $_line)
    {
        $log = array(
            'File' => $_file,
            'Line' => $_line,
            'Message' => $_message,
        );
        if (isset($_SERVER["env"]) && $_SERVER["env"] === 'develop')
        {
            error_log(var_export($log, true));
        }
        else
        {
            syslog(LOG_DEBUG, var_export($log, true));
        }
    }

    private static function SaveLog($_file, $_line, $_message, $_context, $_filename)
    {
        $log = array(
            'File' => $_file,
            'Line' => $_line,
            'Message' => $_message,
            'Context' => $_context
        );
        //file_put_contents('/var/www/log/' . $_filename . '.log','------- '.date('d-m-Y H:i:s').' -------'."\n".print_r($log, 1), FILE_APPEND);
    }

    public static function Log($_var,$_append=false)
    {
        if($_append==true)
        {
            file_put_contents('/var/www/log.txt',print_r($_var,1),FILE_APPEND);

        }
        else
        {
            file_put_contents('/var/www/log.txt',print_r($_var,1));

        }

    }

}
